/*
Copyright (C) 2006 Evan Teran
                   eteran@alum.rit.edu

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef DIALOGOPTIONS_20061101_H_
#define DIALOGOPTIONS_20061101_H_

#include "ui_dialogoptions.h"
#include "Configuration.h"

class DialogOptions : public QDialog, public Configuration {
	Q_OBJECT
public:
	DialogOptions(QWidget *parent = 0);
	
public slots:
	void on_btnStackFont_clicked();
	void on_btnMemoryFont_clicked();
	void on_btnDisFont_clicked();
	void on_btnRegisterFont_clicked();
	void on_okButton_clicked();
	void on_btnSymbolDir_clicked();
	void on_btnPluginDir_clicked();
	void on_btnTTY_clicked();
	void on_btnSessionDir_clicked();
	
public:
	virtual void showEvent(QShowEvent *event);
	
private:
	static int WidthToIndex(int n);

private:
	QString fontFromDialog(const QString &defaultFont);
	QString directoryFromDialog();

public:
	 Ui::DialogOptions ui;
};

#endif
